Bug 59061 - lm_sensors does not yet support the Tyan S2462 dual Athlon board
lm_sensors does not yet support the Tyan S2462 dual Athlon board
Product: Red Hat Linux
Classification: Retired
Component: lm_sensors (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-01-30 02:49 EST by Jim Wright
Modified: 2015-03-04 20:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-26 20:40:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jim Wright 2002-01-30 02:49:45 EST
Description of problem:
kernel 2.4.9-21 included an update to lm_sensors, but not the most recent
version.  Version 2.6.2 of i2c and lm_sensors does work with the Tyan S2462 dual
Athlon board.  Please include this in the next release.  And it would be greatly
appreciated if this could also be in a 7.2 errata kernel in the near future.

(User space tools are in lm_sensors package, but there is a new kernel driver
which is required and only present in the newer releases, so I filed this
against the kernel.)

Additional info:

I've been told by one of our engineers that the following change also needs to
be made for this to work correctly:

here's what you need to do in /etc/sensors.conf.  

under "chip "w83782d-*" "w83783s-*" "w83627hf-*"

you'll find:

# set up sensor types (thermistor is default)
# 1 = PII/Celeron Diode; 2 = 3904 transistor;
# 3435 = thermistor with Beta = 3435
# If temperature changes very little, try 1 or 2.
#   set sensor1 1
#   set sensor2 2
#   set sensor3 3435


set sensor1 2
set sensor2 2
set sensor3 2

then do:

# sensors -s

now the temperature should be reporting correctly.
Comment 1 Arjan van de Ven 2002-02-11 11:25:39 EST
The kernel support is fine, the config file might not be
Comment 2 Phil Knirsch 2002-03-26 06:02:29 EST
Userspace has been updated as well, so i guess this should be fixed now. Can you
try with the latest userspace version available via rawhide?


Read ya, Phil
Comment 3 Philip Pokorny 2002-05-07 12:23:24 EDT
What kernel has lm_sensors 2.6.3 included in it?  The Tyan board also requires
the following in /etc/modules.conf

   options w83781d init=0 force_subclients=0,0x2c,0x4a,0x4b

In particular, the force_sublclients option did not appear until recent releases
of the lm_sensors package (2.6.2?) or 2.6.3.

Also, the SMBus interface in the AMD756 chipset may require a newer i2c version.

What exactly would you like me to test?  Perhaps a fresh install of 7.3 gold
with the rawhide lm_sensors rpm?
Comment 4 Phil Knirsch 2002-07-05 06:27:50 EDT
Rawhide now contains the latest userspace lm_sensors package (2.6.3). The kernel
will be updated shortly as well (kernel >= 2.4.18-5.61), after which the board
should be detected corretly.

If you could verify that this fixes your problem i'd greatly appreciate it.


Read ya, Phil
Comment 5 Philip Pokorny 2002-07-26 20:40:18 EDT
We've tested kernel 2.4.18-7.80 and it does have the support that was needed for
this motherboard.

Thanks!  Issue closed.

Comment 6 Phil Knirsch 2002-07-28 15:33:13 EDT
Thats nice to hear! Thanks for testing and reporting back.

Closing the bug then as fixed in RAWHIDE.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.